Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(24)

Issue 2880763002: [Battery] Allow usage from SecureContext or top-level browsing context only. (Closed)

Created:
3 years, 1 month ago by riju_
Modified:
3 years ago
CC:
chromium-reviews, mlamouri+watch-blink_chromium.org, blink-reviews, haraken
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[Battery] Allow usage from SecureContext or top-level browsing context only. Make the Battery Status API available only within a secure context that is also a top-level browsing context. This disallows the use of the API within framed content, as well as from any content that is not a secure context. Details: https://github.com/w3c/battery/issues/10 WPT updated in https://github.com/w3c/web-platform-tests/pull/5871 BUG=661792 Review-Url: https://codereview.chromium.org/2880763002 Cr-Commit-Position: refs/heads/master@{#476263} Committed: https://chromium.googlesource.com/chromium/src/+/3543d97ca7a33fb8ad48261ad252428555747896

Patch Set 1 #

Patch Set 2 : Update WPT tests #

Patch Set 3 : WPT tests are now imported by tool. #

Patch Set 4 : Fix expected #

Total comments: 6

Patch Set 5 : Fix Tim's comments #

Patch Set 6 : Remove battery-iframe.https-expected.txt and battery-insecure-context-expected.txt #

Messages

Total messages: 66 (54 generated)
riju_
Hi Tim, Please take a look. We updated the Battery Status spec to address some ...
3 years, 1 month ago (2017-05-22 11:26:05 UTC) #37
timvolodine
Overall looks fine to me, thanks for the patch! a few nits below https://codereview.chromium.org/2880763002/diff/120001/third_party/WebKit/LayoutTests/battery-status/detached-no-crash.html File ...
3 years, 1 month ago (2017-05-25 16:01:14 UTC) #38
timvolodine
On 2017/05/22 11:26:05, riju_ wrote: > Hi Tim, > > Please take a look. > ...
3 years, 1 month ago (2017-05-25 16:02:39 UTC) #39
timvolodine
+cc:rbyers@ as FYI
3 years, 1 month ago (2017-05-25 16:03:44 UTC) #40
riju_
Tim@: Thanks for the comments. foolip@: Regarding *-expected.txt in external/wpt/, I had to use git ...
3 years, 1 month ago (2017-05-30 06:36:00 UTC) #46
foolip
On 2017/05/30 06:36:00, riju_ wrote: > Tim@: Thanks for the comments. > > foolip@: Regarding ...
3 years, 1 month ago (2017-05-31 14:32:54 UTC) #51
riju_
On 2017/05/31 14:32:54, foolip wrote: > On 2017/05/30 06:36:00, riju_ wrote: > > Tim@: Thanks ...
3 years, 1 month ago (2017-06-01 10:20:40 UTC) #58
timvolodine
On 2017/06/01 10:20:40, riju_ wrote: > On 2017/05/31 14:32:54, foolip wrote: > > On 2017/05/30 ...
3 years, 1 month ago (2017-06-01 10:24:39 UTC) #59
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2880763002/160001
3 years, 1 month ago (2017-06-01 11:10:59 UTC) #61
commit-bot: I haz the power
Committed patchset #6 (id:160001) as https://chromium.googlesource.com/chromium/src/+/3543d97ca7a33fb8ad48261ad252428555747896
3 years, 1 month ago (2017-06-01 13:00:16 UTC) #64
mlamouri (slow - plz ping)
A revert of this CL (patchset #6 id:160001) has been created in https://codereview.chromium.org/2937553005/ by mlamouri@chromium.org. ...
3 years ago (2017-06-13 13:03:18 UTC) #65
Rick Byers
3 years ago (2017-06-16 18:36:52 UTC) #66
Message was sent while issue was closed.
On 2017/05/25 16:03:44, timvolodine wrote:
> +cc:rbyers@ as FYI

mlamouri@ is right - we should have an "intent to remove" discussion about
taking away this capability.  See
https://www.chromium.org/blink/removing-features.  Sorry I didn't say that when
cc'd on the review.  And please don't feel at all bad about it - the bar and
process is non-obvious, it's expected that we'll sometimes make mistakes on both
sides.  I'm just sorry for the surprise here.

Doesn't mean we shouldn't do exactly this of course, let's just talk about the
tradeoffs on blink-dev and the WG: https://github.com/w3c/battery/issues/10

Powered by Google App Engine
This is Rietveld 408576698